class UR_Weap_Xark extends UTWeap_SniperRifle;

simulated function CustomFire()
{
	if (AmmoCount < MaxAmmoCount)
	{
		AmmoCount += 1;
	}
}

DefaultProperties
{
	ArmsAnimSet=AnimSet'WP_Translocator.Anims.K_WP_Translocator_1P_Arms'
	
	Begin Object Name=FirstPersonMesh
	    SkeletalMesh=SkeletalMesh'WP_SniperRifle.Mesh.SK_WP_SniperRifle_1P'
		AnimSets(0)=AnimSet'WP_ShockRifle.Anim.K_WP_ShockRifle_1P_Base'
		Animations=MeshSequenceA
		Scale=1.5
		bForceUpdateAttachmentsInTick=true
		FOV=80
	End Object
	
	InstantHitDamage(0)=30
	InstantHitDamage(1)=0
	InstantHitMomentum(0)=10000.0
	InstantHitMomentum(1)=0

	FireInterval(0)=0.3
	FireInterval(1)=1
	
	WeaponRange=100000

	FiringStatesArray(0)=WeaponFiring
	FiringStatesArray(1)=WeaponFiring
	
	Spread(0)=0.07
	Spread(1)=0.07
	
	ShotCost(0)=1
	ShotCost(1)=-1

	InstantHitDamageTypes(0)=class'UTDmgType_SniperPrimary'
	InstantHitDamageTypes(1)=class'UTDmgType_SniperPrimary'
	
	AmmoCount=30
	LockerAmmoCount=30
	MaxAmmoCount=60
	
	SlowHeadshotScale=1.0
	RunningHeadshotScale=1.0
	
	bZoomedFireMode(0)=0
	bZoomedFireMode(1)=0
	
	InventoryGroup=2
	
	WeaponFireTypes(0)=EWFT_InstantHit
	WeaponFireTypes(1)=EWFT_Custom
}